using anbs_cp;
namespace demo
{
    public partial class CountValueTest : Form
    {
        public CountValueTest()
        {
            InitializeComponent();
        }

        private void CalculateButton_Click(object sender, EventArgs e)
        {

            if (string.IsNullOrEmpty(InsertDataBox.Text))
                return;

            IValueFormatter formatter;

            long value = TypeConverter.StrToInt64(InsertDataBox.Text);

            switch (SelectFormatterBox.SelectedIndex)
            {
                case 0:
                    formatter = new CountFormatter();
                    break;
                case 1:
                    formatter = new FileSizeFormatter();
                    break;
                default:
                    formatter = new CountFormatter();
                    break;
            }

            ResultLabel.Text = formatter.Format(value);
        }

        private void CountValueTest_Load(object sender, EventArgs e)
        {
            SelectFormatterBox.SelectedIndex = 0;
        }
    }
}